Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/JPEGImage.h File Reference

Declaration of class JPEGImage. More...

`#include "Image.h"`
`#include <stdio.h>`
`#include "Tools/JPEGlib/jpeglib.h"`

Include dependency graph for JPEGImage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | JPEGImage
| Definition of a class for JPEG-compressed images. More...
class | JPEGImage::DestDescriptor
| The class is required during JPEG-compression to access the main JPEGImage object from library handlers. More...
## Defines
#define | INT32 _INT32
## Functions
Out & | operator<< (Out &stream, const JPEGImage &image)
| Streaming operator that writes a JPEGImage to a stream.
In & | operator>> (In &stream, JPEGImage &image)
| Streaming operator that reads a JPEGImage from a stream.

## Detailed Description

Declaration of class JPEGImage.

Definition in file JPEGImage.h.

## Define Documentation

#define INT32 _INT32

| Definition at line 14 of file JPEGImage.h.

## Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const JPEGImage & | image
| ) |

  | Streaming operator that writes a JPEGImage to a stream. Parameters:
  stream | The stream to write on.
  image | The JPEGImage object.
Returns: The stream. Definition at line 143 of file JPEGImage.cpp. References ASSERT, Image::cameraInfo, Image::frameNumber, Image::image, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, JPEGImage::size, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | JPEGImage & | image
| ) |

  | Streaming operator that reads a JPEGImage from a stream. Parameters:
  stream | The stream to read from.
  image | The JPEGImage object.
Returns: The stream. Definition at line 151 of file JPEGImage.cpp. References Image::cameraInfo, Image::frameNumber, Image::image, In::read(), CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Image::setCameraInfo(), and JPEGImage::size.

Here is the call graph for this function: